Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> phpMyAdmin import_blacklist Variable Overwriting Vulnerability


Vulnerability Assessment Details

phpMyAdmin import_blacklist Variable Overwriting Vulnerability

Vulnerability Assessment Summary
Tries to read a local file using phpMyAdmin

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a PHP application that is prone to
multiple issues.

Description :

The version of phpMyAdmin installed on the remote host fails to
properly protect the global 'import_blacklist' variable, which is used
in the 'libraries/grab_globals.lib.php' script to protect global
variables in its register_globals emulation layer. An unauthenticated
attacker can exploit this flaw to overwrite arbitrary variables,
thereby opening the application up to remote / local file include as
well as cross-site scripting attacks.

See also :

http://www.hardened-php.net/advisory_252005.110.html
http://archives.neohapsis.com/archives/fulldisclosure/2005-12/0247.html
http://www.phpmyadmin.net/home_page/security.php?issue=PMASA-2005-9

Solution :

Upgrade to phpMyAdmin version 2.7.0-pl1 or later.

Network Security Threat Level:

Low / CVSS Base Score : 2.3
(AV:R/AC:L/Au:NR/C:N/I:P/A:N/B:N)

Networks Security ID: 15761

Vulnerability Assessment Copyright: This script is Copyright (C) 2006 Tenable Network Security

Cables, Connectors

Rare Vintage IBM PS/2 P70 386-20 | 8MB 120MB 8573-121 Portable Computer
$500.0
Rare Vintage IBM PS/2 P70 386-20 | 8MB 120MB 8573-121 Portable Computer pictureNetgear Vintage Wireless Home Network WB302
$24.0
Netgear Vintage Wireless Home Network WB302 pictureVintage ATI 109-48300-00 8MB 3D RAGE IIC AGP VGA CARD
$14.99
Vintage ATI 109-48300-00  8MB 3D RAGE IIC AGP VGA CARD  pictureVintage nVidia GeForce2 MX200 64MB VGA CARD
$14.99
Vintage nVidia GeForce2 MX200 64MB VGA CARD  picture


Discussions

No Discussions have been posted on this vulnerability.